Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.inifile
Class IniFileTask.IniOperation

    java.lang.Object
      net.sf.antcontrib.inifile.IniFileTask.IniOperation

Direct Known Subclasses:
  IniFileTask.IniOperationConditional, IniFileTask.IniOperationPropertySetter

Enclosing class:
  IniFileTask

    public abstract static class IniFileTask.IniOperation

extends java.lang.Object

Constructor Summary
`IniFileTask.IniOperation()`

Method Summary
`void` | `execute(org.apache.tools.ant.Project project, IniFile iniFile)`
`java.lang.String` | `getProperty()`
`java.lang.String` | `getSection()`
`protected abstract void` | `operate(IniFile file)`
`void` | `setProperty(java.lang.String property)`
`void` | `setSection(java.lang.String section)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IniFileTask.IniOperation

    public IniFileTask.IniOperation()

Method Detail

### getSection

    public java.lang.String getSection()

### setSection

    public void setSection(java.lang.String section)

### getProperty

    public java.lang.String getProperty()

### setProperty

    public void setProperty(java.lang.String property)

### execute

    public void execute(org.apache.tools.ant.Project project,
                        IniFile iniFile)

### operate

    protected abstract void operate(IniFile file)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD